Bug 846131 - rhc-node rpm warns about lost+found
rhc-node rpm warns about lost+found
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 18:51 EDT by Thomas Wiest
Modified: 2015-05-14 18:57 EDT (History)
2 users (show)

See Also:
Fixed In Version: libra_ami #2052
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:30:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhc-node update (9.27 KB, text/x-log)
2012-08-23 01:00 EDT, Jianwei Hou
no flags Details

  None (edit)
Description Thomas Wiest 2012-08-06 18:51:43 EDT
Description of problem:

When updating the rhc-node rpm, I get the following warning printed:
Warning: /var/lib/stickshift/lost+found is not owned by  - can't find user for lost+found


Version-Release number of selected component (if applicable):
rhc-node-0.96.13-1.el6_3.x86_64


How reproducible:
Very


Steps to Reproduce:
1. mount /var/lib/stickshift from a volume -or- mkdir /var/lib/stickshift/lost+found
2. upgrade rhc-node rpm
3. notice the warning message as above
  

Actual results:
Warning message for lost+found


Expected results:
no warning message


Additional info:
Whole output:

Loaded plugins: amazon-id, downloadonly, rhui-lb, security
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package rhc-node.x86_64 0:0.96.12-1.el6_3 will be updated
---> Package rhc-node.x86_64 0:0.96.13-1.el6_3 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package         Arch          Version                  Repository         Size
================================================================================
Updating:
 rhc-node        x86_64        0.96.13-1.el6_3          li-staging        103 k

Transaction Summary
================================================================================
Upgrade       1 Package(s)

Total size: 103 k
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : rhc-node-0.96.13-1.el6_3.x86_64                              1/2 
Stopping system message bus: [  OK  ]
Starting system message bus: [  OK  ]
Shutting down oddjobd: [  OK  ]
Starting oddjobd: [  OK  ]
Warning: /var/lib/stickshift/lost+found is not owned by  - can't find user for lost+found
Stopping stickshift-proxy: [  OK  ]
Starting stickshift-proxy: [  OK  ]
Stopping stickshift-proxy: [  OK  ]
Starting stickshift-proxy: [  OK  ]
  Cleanup    : rhc-node-0.96.12-1.el6_3.x86_64                              2/2 
  Verifying  : rhc-node-0.96.13-1.el6_3.x86_64                              1/2 
  Verifying  : rhc-node-0.96.12-1.el6_3.x86_64                              2/2 

Updated:
  rhc-node.x86_64 0:0.96.13-1.el6_3                                             

Complete!
Comment 1 Rob Millner 2012-08-22 21:31:52 EDT
Commit 34af28ad resolved this issue.
Comment 2 Jianwei Hou 2012-08-23 01:00:21 EDT
Created attachment 606445 [details]
rhc-node update

Tested and verified 

Steps:
1.Launch an old instance(devenv-stage_232)
2.ssh into node,  mkdir /var/lib/stickshift/lost+found
3.Modify /etc/yum.repos.d/li.repo, replace 'stage' with 'candidate' in order to upgrade to latest devenv
4.yum update rhc-node

Result:
Update was successful, no warnings were shown, for full log, please see attachment

..............
  Updating   : rhc-node-0.98.1-1.el6_3.x86_64                                                                                                                           4/5 
Stopping system message bus: [  OK  ]
Starting system message bus: [  OK  ]
Shutting down oddjobd: [  OK  ]
Starting oddjobd: [  OK  ]
Stopping stickshift-proxy: [  OK  ]
Starting stickshift-proxy: [  OK  ]
Stopping stickshift-proxy: [  OK  ]
Starting stickshift-proxy: [  OK  ]
......................

Note You need to log in before you can comment on or make changes to this bug.